Loading...
Searching...
No Matches
GLFWallocator Struct Reference
Initialization, version and error reference

Custom heap memory allocator. More...

## Data Fields

GLFWallocatefun | allocate
GLFWreallocatefun | reallocate
GLFWdeallocatefun | deallocate
void * | user

## Detailed Description

This describes a custom heap memory allocator for GLFW. To set an allocator, pass it to glfwInitAllocator before initializing the library.

See also
  Custom heap memory allocator
  glfwInitAllocator

Since
  Added in version 3.4.

## Field Documentation

## allocate

GLFWallocatefun GLFWallocator::allocate

The memory allocation function. See GLFWallocatefun for details about allocation function.

## reallocate

GLFWreallocatefun GLFWallocator::reallocate

The memory reallocation function. See GLFWreallocatefun for details about reallocation function.

## deallocate

GLFWdeallocatefun GLFWallocator::deallocate

The memory deallocation function. See GLFWdeallocatefun for details about deallocation function.

## user

void* GLFWallocator::user

The user pointer for this custom allocator. This value will be passed to the allocator functions.

The documentation for this struct was generated from the following file:

- glfw3.h